import 'dart:convert';

ValidatedAccessRes validatedAccessResFromJson(String str) =>
    ValidatedAccessRes.fromJson(json.decode(str));

String validatedAccessResToJson(ValidatedAccessRes data) =>
    json.encode(data.toJson());

class ValidatedAccessRes {
  ValidatedAccessRes({
    required this.accessData,
    required this.accessMeta,
  });

  final AccessData? accessData;
  final AccessMeta? accessMeta;

  factory ValidatedAccessRes.fromJson(Map<String, dynamic> json) =>
      ValidatedAccessRes(
        accessData: AccessData.fromJson(json["data"]),
        accessMeta: AccessMeta.fromJson(json["meta"]),
      );

  Map<String, dynamic> toJson() => {
        "data": accessData?.toJson(),
        "meta": accessMeta?.toJson(),
      };
}

class AccessData {
  AccessData({
    required this.amount,
    required this.complete,
    required this.createdAt,
    required this.externalTxnIdentifier,
    required this.extraFields,
    required this.id,
    required this.moruTxnIdentifier,
    required this.sourceType,
    required this.state,
  });

  final num? amount;
  final bool? complete;
  final DateTime? createdAt;
  final String? externalTxnIdentifier;
  final ExtraFields? extraFields;
  final int? id;
  final String? moruTxnIdentifier;
  final String? sourceType;
  final String? state;

  factory AccessData.fromJson(Map<String, dynamic> json) => AccessData(
        amount: json["amount"],
        complete: json["complete"],
        createdAt: DateTime.parse(json["created_at"]),
        externalTxnIdentifier: json["external_txn_identifier"],
        extraFields: ExtraFields.fromJson(json["extra_fields"]),
        id: json["id"],
        moruTxnIdentifier: json["moru_txn_identifier"],
        sourceType: json["source_type"],
        state: json["state"],
      );

  Map<String, dynamic> toJson() => {
        "amount": amount,
        "complete": complete,
        "created_at": createdAt?.toIso8601String(),
        "external_txn_identifier": externalTxnIdentifier,
        "extra_fields": extraFields?.toJson(),
        "id": id,
        "moru_txn_identifier": moruTxnIdentifier,
        "source_type": sourceType,
        "state": state,
      };
}

class ExtraFields {
  ExtraFields({
    required this.item,
  });

  final String? item;

  factory ExtraFields.fromJson(Map<String, dynamic> json) => ExtraFields(
        item: json["item"],
      );

  Map<String, dynamic> toJson() => {
        "item": item,
      };
}

class AccessMeta {
  AccessMeta();

  factory AccessMeta.fromJson(Map<String, dynamic> json) => AccessMeta();

  Map<String, dynamic> toJson() => {};
}
