import 'package:flutter/material.dart';
import 'package:moru_payment_gateway/src/themes/theme.dart';

class FieldDecoration {
  static InputDecoration fieldDecoration(
      {required BuildContext context,
      required String? errorMessage,
      required labelText}) {
    return InputDecoration(
      errorText: errorMessage,
      errorBorder: OutlineInputBorder(
        borderRadius: BorderRadius.circular(8),
        borderSide: BorderSide(
          width: 0.1,
          color: Theme.of(context).errorColor,
          style: BorderStyle.solid,
        ),
      ),
      focusedBorder: OutlineInputBorder(
        borderRadius: BorderRadius.circular(8),
        borderSide: BorderSide(
          width: 0.1,
          color: MoruTheme.primaryColor,
          style: BorderStyle.solid,
        ),
      ),
      border: OutlineInputBorder(
        borderRadius: BorderRadius.circular(8),
        borderSide: BorderSide(
          width: 0.1,
          color: MoruTheme.primaryColor,
          style: BorderStyle.solid,
        ),
      ),
      contentPadding: EdgeInsets.all(8.0),
      labelText: labelText,
    );
  }
}
