part of '../../moru_payment_gateway.dart';

class MoruPaymentSDK {
  final CheckoutOptions? _checkoutOptions;

  static MoruPaymentSDKBuilder builder(
          {required String accessKey, required num amount}) =>
      MoruPaymentSDKBuilder(accessKey: accessKey, amount: amount);

  MoruPaymentSDK._builder(MoruPaymentSDKBuilder builder)
      : _checkoutOptions = CheckoutOptions(
            accessKey: builder.accessKey!,
            amount: builder.amount!,
            transactionID: builder.transactionID!,
            additionalData: builder.additionalData!);

  Widget launch({required Function(CheckoutStatus status, ValidatedAccessRes accessRes) checkoutListener}) {
    return MoruSDKLauncher(
      checkoutOptions: _checkoutOptions!,
      checkoutListener: checkoutListener,
    );
  }
}

class MoruPaymentSDKBuilder {
  final String? accessKey;
  final num? amount;
  String? transactionID;
  Map<String, dynamic>? additionalData = {};

  MoruPaymentSDKBuilder({required this.accessKey, required this.amount});

  builder(
      {required CheckoutOptions checkoutOptions,
      required Function(CheckoutStatus status, ValidatedAccessRes accessRes) checkoutListener}) {
    return MoruSDKLauncher(
      checkoutOptions: checkoutOptions,
      checkoutListener: checkoutListener,
    );
  }

  MoruPaymentSDKBuilder withAdditionalData(
      {Map<String, dynamic>? additionalData}) {
    this.additionalData = additionalData;
    return this;
  }

  MoruPaymentSDKBuilder withProductIdentifier({required String identifier}) {
    this.transactionID = identifier;
    return this;
  }

  MoruPaymentSDK build() => MoruPaymentSDK._builder(this);
}
