part of '../../../../moru_payment_gateway.dart';

GetIt getIt = GetIt.instance;

class CheckoutCubit extends Cubit<CheckoutState> {
  CheckoutCubit({required accessKey}) : super(ValidateAccessKeyInitial()) {
    try {
      String baseNewsUrl = Constants.BASE_URL_STAGING;
      if (accessKey.startsWith('live_')) {
        baseNewsUrl = Constants.BASE_URL_PRODUCTION;
      }
      getIt.registerLazySingleton<PaymentImpl>(
        () => PaymentImpl(
          paymentHandler: PaymentHandler(dio: Dio(), baseNewsUrl: baseNewsUrl),
        ),
      );
    } catch (_) {}
  }

  void initiatePay({required CheckoutOptions checkoutOptions}) async {
    try {
      emit(ValidateAccessLoading());
      final ValidatedAccessRes? accessRes = await getIt<PaymentImpl>()
          .validateAccess(checkoutOptions: checkoutOptions);
      if (accessRes != null) {
        emit(ValidateAccessSuccess(accessRes: accessRes));
      }
    } on String catch (e) {
      print(e);
      emit(ValidateAccessFail(failedReason: e));
    } catch (_, s) {
      print(_.toString());
      emit(ValidateAccessFail(failedReason: "Unable to process your request"));
    }
  }
}
