part of '../../.././../moru_payment_gateway.dart';

class UserValidatorCubit extends Cubit<UserValidatorState> {
  UserValidatorCubit() : super(UserValidatorInitial());

  void validateUser({required UserValidate userValidate}) async {
    try {
      emit(UserValidatorLoading());
      final ValidatedUserRes? userValidatedRes =
          await getIt<PaymentImpl>().validateUser(userValidate: userValidate);
      if (userValidatedRes != null)
        emit(UserValidatorSuccess(validatedUserRes: userValidatedRes));
    } on String catch (e) {
      emit(UserValidatorFail(failedReason: e));
    } catch (_) {
      print(_);
      emit(UserValidatorFail(failedReason: "Unable to process your request"));
    }
  }
}
