part of '../../../moru_payment_gateway.dart';

class PaymentImpl implements PaymentContracts {
  late PaymentHandler _paymentHandler;

  PaymentImpl({required paymentHandler}) : _paymentHandler = paymentHandler;

  @override
  Future<bool> initiatePay({required PayData payData}) async {
    try {
      return await _paymentHandler.initiatePay(payData: payData);
    } on DioError catch (_) {
      throw ErrorHandler.getValidationError(_.response!.data)!;
    } catch (_) {
      throw 'something went wrong';
    }
  }

  @override
  Future<ValidatedAccessRes?> validateAccess(
      {required CheckoutOptions checkoutOptions}) async {
    try {
      return await _paymentHandler.validateAccess(
          checkoutOptions: checkoutOptions);
    } on DioError catch (_) {
      throw ErrorHandler.getValidationError(_.response!.data)!;
    } catch (_) {
      throw 'something went wrong';
    }
  }

  @override
  Future<ValidatedUserRes?> validateUser(
      {required UserValidate userValidate}) async {
    try {
      return await _paymentHandler.validateUser(userValidate: userValidate);
    } on DioError catch (_) {
      throw ErrorHandler.getValidationError(_.response!.data)!;
    } catch (_) {
      throw 'something went wrong';
    }
  }
}
